#
# Conditional build:
%bcond_with	tests		# build without tests
%bcond_without	doc			# don't build ri/rdoc

%define pkgname net-sftp
Summary:	Ruby SFTP library
Summary(pl.UTF-8):	Biblioteka SFTP dla języka Ruby
Name:		ruby-%{pkgname}
Version:	2.1.2
Release:	2
License:	MIT
Group:		Development/Libraries
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	c49f16fae9cea91123b06d903267205b
URL:		https://github.com/net-ssh/net-sftp
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
BuildRequires:	ruby-modules
%if %{with tests}
BuildRequires:	ruby-mocha
BuildRequires:	ruby-test-unit
%endif
Requires:	ruby-net-ssh >= 2.6.5
Obsoletes:	ruby-Net-SFTP
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::SFTP is to SFTP as Net::FTP is to FTP and Net::HTTP is to HTTP.
Perform non-interactive SFTP processing, purely from Ruby!

%description -l pl.UTF-8
Net::SFTP ma się do SFTP tak, jak Net::FTP do FTP i Net::HTTP do HTTP.
Umożliwia nieinteraktywne przetwarzanie SFTP w czystym Rubym.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

%if %{with doc}
rdoc --inline-source --op rdoc lib
rdoc --ri --op ri lib
rm -r ri/Net/SSH
rm -r ri/Net/cdesc-Net.ri
rm ri/*.rid
rm ri/cache.ri
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%if %{with doc}
install -d $RPM_BUILD_ROOT{%{ruby_ridir},%{ruby_rdocdir}/%{name}-%{version}}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc/* $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{ruby_vendorlibdir}/net/sftp.rb
%{ruby_vendorlibdir}/net/sftp
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%if %{with doc}
%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Net/SFTP
%endif
%changelog
* Tue Sep 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-net-sftp.git;a=log;h=master

* Tue Sep 01 2015 Elan Ruusamäe <glen@delfi.ee> 2d0c452
- rebuild without versioned ruby abi dep
- release 2 (by relup.sh)

* Sun Dec 14 2014 Elan Ruusamäe <glen@delfi.ee> b34c2d5
- package gemspec

* Sun Dec 14 2014 Elan Ruusamäe <glen@delfi.ee> f30c8ca
- up to 2.1.2

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> b9cb3c7
- P:ruby-Net-SFTP

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 27e29c5
- renamed ruby-Net-SFTP -> ruby-net-sftp

* Tue Feb 03 2009 aredridel <aredridel@pld-linux.org> 5f55ec2
- 2.0.2

* Sat Jun 09 2007 aredridel <aredridel@pld-linux.org> 636525c
- don't package overlaying ri files

* Thu Mar 08 2007 aredridel <aredridel@pld-linux.org> 0333959
- massive attack: correct ri output path for ruby 1.8.6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> caa285e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ec989c4
- converted to UTF-8

* Fri Jan 27 2006 aredridel <aredridel@pld-linux.org> b2df781
- up to 1.1.0

* Sat Dec 31 2005 twittner <twittner@pld-linux.org> 89299f7
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

* Thu Dec 29 2005 twittner <twittner@pld-linux.org> 24276d1
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

* Tue Dec 27 2005 twittner <twittner@pld-linux.org> 8561809
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

* Sat Nov 19 2005 Elan Ruusamäe <glen@pld-linux.org> 7ba5773
- use system ruby macros
- cleanups, corrections, cosmetics

* Sun Feb 13 2005 Jakub Bogusz <qboosh@pld-linux.org> 70b2729
- pl

* Sun Feb 13 2005 aredridel <aredridel@pld-linux.org> f084dd5
- adapterised

* Sun Feb 13 2005 aredridel <aredridel@pld-linux.org> 16ef5cf
- added

